import { Observable } from "rxjs";
declare function getCurrentUser(): Observable<LoggedInUser>;
declare function getCurrentUser(opts: CurrentUserWithResponseOption): Observable<UnauthenticatedUser>;
declare function getCurrentUser(opts: CurrentUserWithoutResponseOption): Observable<LoggedInUser>;
export { getCurrentUser };
export declare function refetchCurrentUser(): void;
export declare function userHasAccess(requiredPrivilege: any, user: any): any;
interface CurrentUserOptions {
    includeAuthStatus?: boolean;
}
interface CurrentUserWithResponseOption extends CurrentUserOptions {
    includeAuthStatus: true;
}
interface CurrentUserWithoutResponseOption extends CurrentUserOptions {
    includeAuthStatus: false;
}
interface LoggedInUser {
    uuid: string;
    display: string;
    username: string;
    systemId: string;
    userProperties: any;
    person: Person;
    privileges: Privilege[];
    roles: Role[];
    retired: boolean;
    locale: string;
    allowedLocales: string[];
    [anythingElse: string]: any;
}
declare type UnauthenticatedUser = {
    sessionId: string;
    authenticated: boolean;
    user?: LoggedInUser;
};
declare type Person = {
    uuid: string;
    display: string;
    links: any[];
};
declare type Privilege = {
    uuid: string;
    display: string;
    links: any[];
};
declare type Role = {
    uuid: string;
    display: string;
    links: any[];
};
